apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}-{{ include "mysql.name" . }}-deployment
  labels:
    app: {{ include "mysql.name" . }}
    release: {{ .Release.Name }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ include "mysql.name" . }}
      release: {{ .Release.Name }}
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: {{ include "mysql.name" . }}
        release: {{ .Release.Name }}
    spec:
      containers:
        - image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          name: {{ .Chart.Name }}
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          env:
            - name: MYSQL_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: {{ .Release.Name }}-db-secret
                  key: password
          ports:
            - containerPort: {{ .Values.service.port }}
              name: mysql
          volumeMounts:
            - name: mysql-persistent-storage
              mountPath: /var/lib/mysql
            - name: mysql-initdb
              mountPath: /docker-entrypoint-initdb.d
      volumes:
        - name: mysql-persistent-storage
          persistentVolumeClaim:
            claimName: {{ .Release.Name }}-{{ include "mysql.name" . }}-pv-claim
        - name: mysql-initdb
          configMap:
            name: {{ .Release.Name }}-{{ include "mysql.name" . }}-initdb-cm